<?php

include("pdf/fpdf.php");
session_cache_limiter("private");
session_start();
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include('DF80000.php');
class PDF extends FPDF
{
	//Cabecera de Página
	function Header()
	{
	    //Logotipo
	         include("DYIM_VER.php");
		$this->SetFont('Arial','B',8);
		$this->SetFillColor(192,192, 192);
		//$this->Ln(5);
		$arrayopciones = array("LINEA","GRUPO","MARCA","PRODUCTO");
		$arrmeses = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
		$this->Cell(280,3,'COMPRAS AGRUPADAS DEL ' . $_POST['t1'] . ' AL ' . $_POST['t2'],0,1,'C');
			$this->SetFont('Arial','',6);
		if($_POST['seclipro']!='' && $_POST['seclipro']!='TODOS'){
				$dt_catcli=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"SELECT CONCAT(nom_pro,' ',ap_pat_pro,' ',ap_mat_pro) as nomProv FROM dgcatpro WHERE cod_pro='".$_POST['seclipro']."'"));
				$this->Cell(280,3,$dt_catcli['nomProv'],0,1,'C');	
		}
		if($_POST['s2']!='ALLR'){
			$type=sprintf("%s",$_POST['tipo']);
		    $tipo=split(',',$type);
			$busdes=sprintf("select * from %s where %s='%s'",$tipo[0],$tipo[1],$_POST['s2']);
			@$des=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,$busdes));
			$this->Cell(280,3,$arrayopciones[$_POST['s1'].' | '.$des[$tipo[1]].'-'.$des[$tipo[2]],0,1,'C');
	    }
		else 
			$this->Cell(280,5,$arrayopciones[$_POST['s1'].' | TODOS    ',0,1,'C');
		$sfecini = $_POST['t1'];
		$sfecfin = $_POST['t2'];
		$fini = split("/",$sfecini);
		$ffin = split("/",$sfecfin);	
		if(($difyear = $ffin[2] - $fini[2])>0){
			$difmes = 13-$fini[1]+$ffin[1];
			if($difmes>12){ 
				$difmes = -1;
			}
		}
		else{
			$difdia = abs($ffin[0] - $fini[0]);
			$difmes = abs($ffin[1] - $fini[1])+1;
		}
		$this->SetFillColor(230,230,230);
		$this->Ln(5);
		$tabulador=(240.2-20*$difmes)/2;
		$this->Cell($tabulador,5,' ',0,0,'C');
		$this->Cell(20,5,' ',0,0,'C');
		$i=0;
		for($k=0; $k<$difmes; $k++){
			if(($fini[1]+$k-1) < 12)
				$this->Cell(20,5,$arrmeses[$fini[1]+$k-1].' '.$fini[2],1,0,'C',1);
			else{
				$this->Cell(20,5,$arrmeses[$i].' '.$ffin[2],1,0,'C',1);
				$i++;
			}
		}
		$this->Cell(20,5,'TOTAL',1,0,'C',1);
		$this->Ln(5);
	}
	
	//Pie de Página
	function Footer()
	{
	    //Posición: 1,5 cm del Final
	    $this->SetY(-15);
	    //Arial Italic 8
	    $this->SetFont('Arial','I',8);
	    //Número de página
	    $this->Cell(0,0, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('L','mm','A4');
$pdf->AddPage();

$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(230,230,230);

//validacion fechas y formato
$arrmeses = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
$arrtip = array("Unidad","Compra");
$arrche = array("c1","c2");
$arrayopciones = array("LINEA","GRUPO","MARCA","PRODUCTO");
$tipo=split(',',$_POST['tipo']);
$sfecini = $_POST['t1'];
$sfecfin = $_POST['t2'];
$fini = split("/",$sfecini);
$ffin = split("/",$sfecfin);

if(($difyear = $ffin[2] - $fini[2])>0){
	$difmes = 13-$fini[1]+$ffin[1];
	if($difmes>12){ 
		echo 'no mas de 12 meses';
		$difmes = -1;
	}
}
else{
	$difdia = abs($ffin[0] - $fini[0]);
	$difmes = abs($ffin[1] - $fini[1])+1;
}
$sel3=$_POST['s3'];
$tabulador=(240-20*$difmes)/2;
$fecha_inicial = chfecha($_POST['t1'],'d/m/Y','Y-m-d');
$fecha_final = chfecha($_POST['t2'],'d/m/Y','Y-m-d');
if($difmes>=0 && $difmes<=12) $sq_factud=mysqli_query($GLOBALS['con'] ,$_POST['tipbus']);
else $sq_factud=false;
$inicio=1;
@$dt_factud=mysqli_fetch_array($sq_factud);
$valor=$dt_factud[$tipo[1]];
$valcod=$dt_factud['nparte1'];
$valdet=$dt_factud['np_desc1'];
//$pdf->Cell(275,5,$dt_factud['venta'],0,0,'C',1);
$datos =NULL;//Contiene Datos de agrupacion
$sdattot=NULL;//Contiene Datos Totales
$datdet=NULL;//Contiene Datos por producto (si Detalle)
while($inicio!=-1 && $dt_factud){
	$busdes=sprintf("select * from %s where %s='%s'",$tipo[0],$tipo[1],$dt_factud[$tipo[1]]);
	$des=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,$busdes));
	if($_POST['s3']=='2') impHeader($difmes,$des[$tipo[1]].'-'.$des[$tipo[2]],$pdf);
	while($inicio!=-1 && $dt_factud[$tipo[1]]==$valor){
		if($dt_factud['tipoMoneda']!='1') $tipoCambio=$dt_factud['tip_cam'];
		else $tipoCambio=1;
		//if($dt_factud['venta']!=0) $porutilidad=100*($dt_factud['utilidad']/$dt_factud['venta']);
		//else $porutilidad=0;
		$dat=NULL;
		$dat=array($dt_factud['unidades'],$dt_factud['venta']*$tipoCambio);
		$valor=$dt_factud[$tipo[1]];
		if($_POST['s3']=='2' && $valdet!=$dt_factud['np_desc1']){
			$pdf->SetFillColor(245,245,245);
			$pdf->Ln(0.5);
			impHeaderDet($difmes,$valcod.'-'.$valdet,$pdf);
			imprsumDet($arrche,$difmes,$arrtip,$datdet,$pdf);
			$datdet=NULL;
			$pdf->SetFillColor(230,230,230);
			$valcod=$dt_factud['nparte1'];
			$valdet=$dt_factud['np_desc1'];
		}
		$fecp=NULL;
		$fecp=explode('-',$dt_factud['fec_fac']);
		for($j=0; $j<2; $j++){
			$i=1;$k=0;
			//if($_POST[$arrche[$j]]){
				for($k=0; $k<$difmes; $k++){
					if((((int)$fini[1]+$k) <= 12) && (((int)$fini[1]+$k)==(int)$fecp[1])){
						if($_POST['s3']=='2') $datdet[$j][$k] +=$dat[$j];
						$datos[$j][$k] +=$dat[$j];
						$sdattot[$j][$k] +=$dat[$j];
					}
					elseif((((int)$fini[1]+$k) > 12) && (($fini[1]+$k-12)==(int)$fecp[1])){
						if($_POST['s3']=='2') $datdet[$j][$k] +=$dat[$j];
						$datos[$j][$k] +=$dat[$j];
						$sdattot[$j][$k] +=$dat[$j];
					}
				}
			//}
			if($_POST['s3']=='2') $datdet[$j][$difmes] +=$dat[$j];
			$datos[$j][$difmes] +=$dat[$j];
			$sdattot[$j][$difmes] +=$dat[$j];	
		}
		$dt_factud=mysqli_fetch_array($sq_factud);
	}
	//if(!$dt_factud){ 
		if($_POST['s3']=='2'){
			$pdf->SetFillColor(245,245,245);
			$pdf->Ln(0.5);
			impHeaderDet($difmes,$valcod.'-'.$valdet,$pdf);
			imprsumDet($arrche,$difmes,$arrtip,$datdet,$pdf);
			$datdet=NULL;
			$valdet=$dt_factud['np_desc1'];
			$pdf->SetFillColor(230,230,230);
		}
	if(!$dt_factud)	$inicio=-1;
	//}
	$valor=$dt_factud[$tipo[1]];
	if($_POST['s3']=='2') impHeader($difmes,'TOTAL '.$des[$tipo[1]].'-'.$des[$tipo[2]],$pdf);
	else impHeader($difmes,$des[$tipo[1]].'-'.$des[$tipo[2]],$pdf);
	imprsumDet($arrche,$difmes,$arrtip,$datos,$pdf);//Imprime Agrupacion
	$datos=NULL;
}
if($difmes>=0 && $difmes<=12){
	impHeader($difmes,'--- TOTAL GENERAL ---',$pdf);
	imprsumDet($arrche,$difmes,$arrtip,$sdattot,$pdf);//Imprime Total General
}

//Imprime Renglones Unidades, Venta, Utilidad y %Utilidad
function imprsumDet($arrche,$difmes,$arrtip,$sdattot,&$pdf){
	$tabulador=(240.2-20*$difmes)/2;
	for($j=0; $j<2; $j++){
		if($_POST[$arrche[$j]]){
			//$pdf->Ln(5);
			$pdf->Cell($tabulador,5,'',0,0,'L');
			$pdf->Cell(20,5,$arrtip[$j],0,0,'L');
			for($k=0; $k<=$difmes; $k++) $pdf->Cell(20,5,number_format($sdattot[$j][$k],2,'.',','),0,0,'L');
			$pdf->Ln(5);
		}	
	}
}

//Imprime encabezado de Detalles
function impHeader($difmes,$leyenda,&$pdf){
	//$pdf->Ln(5);
	$tabulador=(240.2-20*$difmes)/2;
	$pdf->Cell($tabulador,5,'',0,0,'L');
	$pdf->Cell((40+20*$difmes),5,$leyenda,0,0,'C',1);
	$pdf->Ln(5);
}
function impHeaderDet($difmes,$leyenda,&$pdf){
	//$pdf->Ln(5);
	$tabulador=(240.2-20*$difmes)/2;
	$pdf->Cell($tabulador,5,'',0,0,'L');
	$pdf->Cell((40+20*$difmes),3,$leyenda,0,0,'C',1);
	$pdf->Ln(3);
}


$pdf->Output("Compras_Agrupadas.pdf","D");

?>